Company
List company AI fields
List the company AI fields of the workspace, sorted by title. Archived fields are excluded unless includeArchived is set. The endpoint is not paginated as the number of AI fields per workspace is capped.
GET
/
v1
/
companies
/
fields
cURL
curl --request GET \
--url https://api.claap.io/v1/companies/fields \
--header 'X-Claap-Key: <api-key>'import requests
url = "https://api.claap.io/v1/companies/fields"
headers = {"X-Claap-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Claap-Key': '<api-key>'}};
fetch('https://api.claap.io/v1/companies/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"fieldId": "CompanyAiSection#Jc5Ry8Nt3Pv1Gh6Ws2Ld9",
"title": "Company overview",
"kind": "Field",
"outputType": "Paragraph",
"prompt": "Summarise what this company does and what its current priorities are.",
"authorId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"createdAt": "2026-05-14T09:30:00Z"
},
{
"fieldId": "CompanyAiSection#Rt9Fm2Bx6Kw4Ns7Zc1Hd5",
"title": "Products discussed",
"kind": "Field",
"outputType": "MultiSelect",
"prompt": "List the products mentioned across the calls and emails of the company.",
"coloredSelectOptions": [
{
"value": "Analytics",
"color": "blue"
},
{
"value": "Automation",
"color": "purple"
},
{
"value": "Integrations",
"color": "turquoise"
}
],
"authorId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"createdAt": "2026-05-14T09:30:00Z"
}
]
}Lists the company AI fields of the workspace, sorted by title. Archived fields are excluded unless
includeArchived is set. The endpoint is not paginated as the number of AI fields per workspace is capped.Authorizations
Query Parameters
If set to true, include archived AI fields in the results.
Available options:
true, 1, false, 0 Response
200 - application/json
Company AI fields were successfully listed
Show child attributes
Show child attributes
⌘I
cURL
